<template>
  <section
    class="flex min-h-screen flex-nowrap items-center justify-center px-5 py-8"
  >
    <div
      class="flex min-h-min flex-col overflow-hidden text-clip rounded-2xl md:flex-row [&>*]:px-8 [&>*]:py-6 md:[&>*]:p-16"
    >
      <header
        class="flex flex-col items-center justify-between bg-fuchsia-400 text-white md:items-start"
      >
        <Logo />
        <div
          class="w-full text-center text-xs font-light md:text-right md:text-base"
        >
          <p>Simple application</p>
          <p>Simple life</p>
        </div>
      </header>
      <div
        class="relative w-full bg-white md:w-96 [&_form]:flex [&_form]:flex-col [&_form]:gap-8 [&_form_fieldset]:flex [&_form_fieldset]:shrink [&_form_fieldset]:grow [&_form_fieldset]:flex-col [&_form_fieldset]:gap-4 [&_form_footer]:flex [&_form_footer]:flex-col [&_form_footer]:gap-6 [&_header_h3]:text-xl [&_header_h3]:font-semibold [&_header_p]:text-sm [&_header_p]:text-slate-500 [&_main]:flex [&_main]:h-96 [&_main]:flex-col [&_main]:gap-16 md:[&_main]:gap-24"
      >
        <slot />
      </div>
    </div>
  </section>
</template>

<script lang="ts" setup>
import { Logo } from '~shared/ui';
</script>
